Description: Remove pretty-printing nose-cover3 from build.
 nose-cover3 is not essential to the build-proccess and is not packaged
 for Debian. Thus removing it from the sources.
Author: Michael Fladischer <FladischerMichael@fladi.at>
Forwarded: not-needed
Last-Update: 2011-11-28

--- a/tests/settings.py
+++ b/tests/settings.py
@@ -26,10 +26,7 @@
 )
 
 NOSE_ARGS = [os.path.join(here, os.pardir, "djcelery", "tests"),
-            os.environ.get("NOSE_VERBOSE") and "--verbose" or "",
-            "--cover3-package=djcelery",
-            "--cover3-branch",
-            "--cover3-exclude=%s" % ",".join(COVERAGE_EXCLUDE_MODULES)]
+            os.environ.get("NOSE_VERBOSE") and "--verbose" or ""]
 
 BROKER_HOST = "localhost"
 BROKER_PORT = 5672
--- a/requirements/test.txt
+++ b/requirements/test.txt
@@ -1,7 +1,6 @@
 unittest2>=0.4.0
 coverage>=3.0
 nose
-nose-cover3
 mock
 django
 django-nose
--- a/setup.py
+++ b/setup.py
@@ -102,16 +102,9 @@
     def extra_args(self):
         toxinidir = os.environ.get("TOXINIDIR", "")
         return [
-            "--with-coverage3",
-            "--cover3-xml",
-            "--cover3-xml-file=%s" % (
-                os.path.join(toxinidir, "coverage.xml"), ),
             "--with-xunit",
             "--xunit-file=%s" % (
                 os.path.join(toxinidir, "nosetests.xml"), ),
-            "--cover3-html",
-            "--cover3-html-dir=%s" % (
-                os.path.join(toxinidir, "cover"), ),
         ]
 
 
